import request from '@/utils/request'

// 查询看课投诉类型列表
export function listUserCourseComplaintType(query) {
  return request({
    url: '/course/userCourseComplaintType/list',
    method: 'get',
    params: query
  })
}

// 查询看课投诉类型详细
export function getUserCourseComplaintType(complaintTypeId) {
  return request({
    url: '/course/userCourseComplaintType/' + complaintTypeId,
    method: 'get'
  })
}

// 新增看课投诉类型
export function addUserCourseComplaintType(data) {
  return request({
    url: '/course/userCourseComplaintType',
    method: 'post',
    data: data
  })
}

// 修改看课投诉类型
export function updateUserCourseComplaintType(data) {
  return request({
    url: '/course/userCourseComplaintType',
    method: 'put',
    data: data
  })
}

// 删除看课投诉类型
export function delUserCourseComplaintType(complaintTypeIds) {
  return request({
    url: '/course/userCourseComplaintType/' + complaintTypeIds,
    method: 'delete'
  })
}

// 导出看课投诉类型
export function exportUserCourseComplaintType(query) {
  return request({
    url: '/course/userCourseComplaintType/export',
    method: 'get',
    params: query
  })
}
